  <p>U nastavku je dan jedan konkretan primjer sa zadanim brojevima kako biste mogli provjeriti Vašu implementaciju. Neka su zadani sljedeći podatci.</p>

  <ol>
  <li>\(\vec I_{GA}\) = (0.05, 0.05, 0.05) - globalni ambijentni intenzitet</li>
  <li>\(\vec I_{LA}\) = (0.12, 0.15, 0.12) - ambijentni intenzitet izvora</li>
  <li>\(\vec I_{LD}\) = (1.0, 1.0, 0.4) - difuzni intenzitet izvora</li>
  <li>\(\vec I_{LR}\) = (1.0, 1.0, 0.4) - zrcalni intenzitet izvora</li>
  <li>\(\vec p_L\) = (6, 6, 4) - položaj izvora u radnom prostoru; (6,6,4,1) u homogenom</li>
  <li>\(k_c\) = 1.1, \(k_l\)=0, \(k_q\)=0 - koeficijenti modela prigušenja izvora</li>
  <li>\(\vec k_{MA}\) = (0.2, 0.2, 0.1)</li>
  <li>\(\vec k_{ME}\) = (0.1, 0.1, 0.2)</li>
  <li>\(\vec k_{MD}\) = (0.7, 0.2, 0.1)</li>
  <li>\(\vec k_{MR}\) = (0.7, 0.7, 0.7)</li>
  <li>\(n\) = 10 - koeficijent za izračun odbljeska</li>
  <li>\(\vec p_V\) = (8, 8, 12) - položaj promatrača u sceni</li>
  <li>\(\vec p\) = (1, 2, 3) - točka površine u kojoj računamo intenzitet</li>
  <li>\(\vec n'\) = (1, 1, 1) - nenormalizirana normala na površinu u zadanoj točki</li>
  </ol>

  <p>Normalizacijom zadane normale dobivamo: \(\vec n'\) = (0.5773502691896258, 0.5773502691896258, 0.5773502691896258).
     Dalje računamo:<br>

\(\vec l\) = (0.7715167498104595, 0.6172133998483676, 0.1543033499620919) (dobiveno normalizacijom \(\vec p_L - \vec p\)).<br>
\(\vec r\) = (0.2571722499368202, 0.411475599898912, 0.8743856497851877) (dobiveno refleksijom \(\vec l\) oko \(\vec n\)).<br>
\(\vec v\) = (0.543305367994433, 0.4656903154237997, 0.6985354731356995) (dobiveno normalizacijom \(\vec p_V - \vec p\)).<br>
\(\vec l \cdot n\) = 0.8908708063747481<br>
\(\vec r \cdot v\) = 0.9421326593717642</p>

<p>Krenimo sada računati komponente osvjetljenja.<br>
gl = (0.01,0.01,0.005) - globalno ambijentno<br>
am = (0.024,0.03,0.012) - utjecaj ambijentnog osvjetljenja izvora na materijal (bez prigušenja)<br>
di = ([0.6236095644623236, 0.17817416127494964, 0.03563483225498993) - utjecaj difuznog osvjetljenja izvora na materijal (bez prigušenja)<br>
zr = (0.3856724620820551, 0.3856724620820551, 0.15426898483282203) - utjecaj zrcalnog osvjetljenja izvora na materijal (bez prigušenja)<br>
sum = am+di+zr = (1.0332820265443787, 0.5938466233570048, 0.20190381708781197) - sve tri utjecaja izvora (bez prigušenja)<br>
attsum = (0.9393472968585261, 0.5398605666881862, 0.1835489246252836) - konačni utjecaj izvora (prigušenje uzeto u obzir)<br>
total' = gl + em + attsum = (1.0493472968585262, 0.6498605666881861, 0.3885489246252836) - ukupan utjecaj svih komponenata<br>
total = limit(total') = (1.0, 0.6498605666881861, 0.3885489246252836) - konačno osvjetljenje promatrane točke: komponente koje su prešle 1 odrezali smo na 1 (negativnih komponenata ne bi smjelo biti ako smo dobro računali; programski, ima smisla i to provjeriti pa ih vratiti na 0).<br>
</p>

